<!--
		SIF Implementation Specification (Australia) 3.4.3


		(April 5, 2018)
		
		Infrastructure Version: v3
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/datamodel/au/3.4" targetNamespace="http://www.sifassociation.org/datamodel/au/3.4" elementFormDefault="qualified" version="3.4.3">
  <xs:complexType name="LearningResourceType">
    <xs:sequence>
      <xs:element name="Name" type="xs:normalizedString" />
      <xs:element name="Author" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="Contacts" minOccurs="0" nillable="true" type="ContactsType" />
      <xs:element name="Location" minOccurs="0" nillable="true">
        <xs:complexType>
          <xs:simpleContent>
            <xs:extension base="xs:string">
              <xs:attribute name="ReferenceType" use="required" type="xs:token" />
            </xs:extension>
          </xs:simpleContent>
        </xs:complexType>
      </xs:element>
      <xs:element name="Status" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="Description" minOccurs="0" nillable="true" type="xs:string" />
      <xs:element name="YearLevels" minOccurs="0" nillable="true" type="YearLevelsType" />
      <xs:element name="SubjectAreas" minOccurs="0" nillable="true" type="ACStrandAreaListType" />
      <xs:element name="MediaTypes" minOccurs="0" nillable="true" type="MediaTypesType" />
      <xs:element name="UseAgreement" minOccurs="0" nillable="true" type="xs:string" />
      <xs:element name="AgreementDate" minOccurs="0" nillable="true" type="xs:date" />
      <xs:element name="Approvals" minOccurs="0" nillable="true" type="ApprovalsType" />
      <xs:element name="Evaluations" minOccurs="0" nillable="true" type="EvaluationsType" />
      <xs:element name="Components" type="ComponentsType" />
      <xs:element name="LearningStandards" minOccurs="0" nillable="true" type="LearningStandardsType" />
      <xs:element name="LearningResourcePackageRefId" minOccurs="0" nillable="true" type="IdRefType" />
      <xs:element name="SIF_Metadata" minOccurs="0" nillable="true" type="SIF_MetadataType" />
      <xs:element name="SIF_ExtendedElements" minOccurs="0" nillable="true" type="SIF_ExtendedElementsType" />
    </xs:sequence>
    <xs:attribute name="RefId" use="required" type="RefIdType" />
  </xs:complexType>

  <xs:element name="LearningResource" type="LearningResourceType">
    <xs:key name="LearningResourceKey1">
      <xs:selector xpath="./LearningResource" />
      <xs:field xpath="@RefId" />
    </xs:key>
  </xs:element>

  <xs:complexType name="LearningResourceCollectionType">
    <xs:sequence>
      <xs:element name="LearningResource" type="LearningResourceType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="LearningResources" type="LearningResourceCollectionType" />

</xs:schema>